# This is a -*- perl -*- script, but it isn't directly runnable.
# Say "perl scriptname" instead.
#
# 'collectusage' collects various usage-related statistics.

$prefix='/store' ;

unshift( @INC, "$prefix/etc/internal" ) ;
unshift( @INC, "." ) ;

require "lib/client.pl" ;
require "lib/conffile.pl" ;
require "lib/config.pl" ;
require "lib/ficcl.pl" ;
require "lib/genarchs.pl" ;
require "lib/indata.pl" ;
require "lib/master.pl" ;
require "lib/output.pl" ;
require "lib/regist.pl" ;
require "lib/registerit.pl" ;
require "lib/runit.pl" ;
require "lib/shadowit.pl" ;
require "lib/slaveit.pl" ;
require "lib/support.pl" ;
require "lib/utils.pl" ;

&'readgenarchs ;
&'readconffile("$config") ;

$'myself = &mymachine() ;

$'debug = $'WARNINGS | $'INFO ;
$'debug = $'WARNINGS | $'INFO | $'TRACE if (-t) ;

# Setup finished

require "usage.pl" ;

#
# MAIN for collectusage.
#

@these_stores = ( @ARGV ) ? ( @ARGV ) :
                ( grep( $'master{$_} =~ /^$'myself$/, keys %'master )) ;

for $store ( &uniq( sort @these_stores )) {
   &'output('Error',"Unkown store $store\n"),next
       unless ( $'isaknownstore{$store} );
   &'output('Warning',"Wrong store $store (should be handled by $'master{$store})\n"),next
       unless ( $'master{$store} eq $'myself );
   &'output('Error',"Bad store $store\n"),next
       unless ( -d "$'storedir{$store}" ) ;
   &'output('Trace', "Running for store $store\n");
   
   # Force a new summary file.
   @usage = &usage'getinfo($store, $wantapp, 1);
}
