#!/store/bin/perl5 -w
#
# Author: Petter Reinholdtsen <pere@td.org.uit.no>
# Date:   1999-03-09
#
# Change Store version directories.  Move <app>/ver-<version>/doc/<app>/ to
# <app>/ver-<version>/doc/<app>-<version>/.

for $dir (<*/ver-*/doc/*>) {
	my ($app, $ver, $docdir) = 
		$dir =~ m%^([^/]+)/ver-([^/]+)/doc/(.+)%;

	next if $docdir eq "$app-$ver";

	if ($docdir eq $app) {
		rename($dir, "$app/ver-$ver/doc/$app-$ver");
		next;
	}
	print " bogus docdir $dir\n";
}
