# This is a -*- perl -*- script, but it isn't directly runnable.
# Say "perl scriptname" instead.

# $Id: make-emacs-default.pl,v 1.1 1997/05/26 15:16:47 mortens Exp mortens $

die "Only runnable by store user!\n" if ($< != 52) ;

$TOP = $ENV{TOPDIR} ;

for (@ARGV) {
  &makedefaultel($_);
}

sub makedefaultel
{
    local($dir) = @_;
    chdir $dir;
    unlink ("default.el.old") ;
    rename ("default.el", "default.el.old") ;
    unlink ("default.el") ;
    open(DEFOUT, ">default.el") ;
    chmod(0644, "default.el") ;
    
    $op = "(xemacs) Making emacs default.el autoload file\n" ;
    
    @files = <default.el-*> ;
    for ( @files ) {
	$op .= "(xemacs) include $_\n" ;
        print DEFOUT ";; ************************* $_ *******************\n";
	$printFailed = 0;
	open (INSERT, $_) ;
	while (<INSERT>) {
	  unless (print DEFOUT) { $printFailed = 1 };
 	}
	close (INSERT) ;
    }
    close(DEFOUT) ;
    if ($printFailed) {
       unlink ("default.el");
       rename ("default.el.old", "default.el");
       print "(emacs) Unable to write to file. Old file restored.";
       exit 1 ;
    }
    $op .= "(xemacs) differences:\n" ;
    if ( -f "default.el.old" && -f "default.el") {
        $di  = `diff -rc default.el.old default.el` ;
    } else {
        $di = "" ;
    }
    $op .= $di ;
    $op .= "(xemacs) End default.el\n" ;
    
    print $op unless (( $di =~ /No differences/ ) || ( $di eq "" )) ;
    
    unlink ("default.el.old") ;
}

exit 0 ;
