# This is a -*- perl -*- script, but it isn't directly runnable.
# Say "perl scriptname" instead.
$Appl = 'ENV';

$storeuid = getpwnam( 'store' ) ;
die "($Appl) Only runnable by store user!\n" if ($< != $storeuid) ;

$TOP = $ENV{'TOPDIR'} || '/store';
unshift( @INC, "$TOP/etc/internal" ) ;

require "environ.pl";

$Env'Indent = 4;
$Env'Indent_step = 3;

%Env = &Env'read_env( "$TOP/etc/ENV" );

&build_file( "$TOP/etc/src.sh", &Env'build_env( %Env ) );
&build_file( "$TOP/etc/src.csh", &Env'build_csh_env( %Env ) );


sub build_file {
    local( $file, $Newenv ) = @_;

    unlink( "$file.old" ) ;
    rename( "$file", "$file.old") ;
    unlink( "$file") ;

    $op = "($Appl) Making $file.\n" ;
    open( NEW, ">$file" ) ;
    chmod( 0644, "$file" ) ;
    if ( ! print NEW $Newenv ) {
	close NEW;
	$op .= "($Appl) Error writing to file. Aborting.\n";
	unlink( "$file" );
	rename( "$file.old", "$file" );
	$op .= "($Appl) Old file reinstalled.\n";
	print $op;
	exit 1;
    };
    close NEW;

    $op .= "($Appl) Differences:\n" ;
    if ( -f "$file.old" && -f $file ) {
        $di  = `diff -C 1 -r $file.old $file` ;
    } else {
        $di  = "" ;
    }
    $op .= $di ;
    $op .= "($Appl) End $file.\n" ;

    print $op unless (( $di =~ /No differences/ ) || ( $di eq "" )) ;

    unlink( "$file.old" ) ;
}

exit 0;
